Subject: Re: On Tabs and Spaces

From: Andreas Ericsson <[email-masked]>
Date: Tue, 16 Oct 2007 19:23:46 +0200

Jeffrey C. Ollie wrote:
> On Tue, 2007-10-16 at 12:16 +0200, Adam Piatyszek wrote:
>> And if one change the tab size, it will result in a messy alignment in
>> line 5.
> 
> Which is why one should never should change the tab size from anything
> but 8.
> 

I have mine set to 4. With an 11.2" screen and 1024x768 resolution, it's
not as if I've got much choice if I want to be able to see anything on
the screen. Some whitespace-damaged places look ugly, but it's usually
not too bad.

>> I guess there is no ideal solution for this in Emacs.
> 
> Instead of using "(setq indent-tabs-mode t)" use "(setq indent-tabs-mode
> nil)".  This will force emacs to always use spaces to indent.
> 

... but don't do this when hacking on Linux or git. Thanks

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231